Subject: Re: -X theirs does not resolve symlink conflict Was: BUG: merge -s theirs is not in effect

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Sep 2017 11:16:46 +0900

Junio C Hamano <[email-masked]> writes:

> I do not recall people talking about symbolic links but the case of
> binary files has been on the wishlist for a long time, and I do not
> know of anybody who is working on (or is planning to work on) it.

Ah, I misremembered.

We've addressed the "binary files" case back in 2012 with a944af1d
("merge: teach -Xours/-Xtheirs to binary ll-merge driver",
2012-09-08).  I do not know offhand if it is just as easy to plumb
the MERGE_FAVOR_{OURS,THEIRS} bits thru the symbolic link codepath,
like that patch did to the binary file codepath.